hpp-fcl: hpp::fcl::CollisionResult Struct Reference

hpp-fcl 1.7.0 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | Public Attributes | List of all members
hpp::fcl::CollisionResult Struct Reference

collision result More...

`#include <hpp/fcl/collision_data.h>`

Inheritance diagram for hpp::fcl::CollisionResult:

## Public Member Functions
| CollisionResult ()
void | updateDistanceLowerBound (const FCL_REAL &distance_lower_bound_)
| Update the lower bound only if the distance in inferior. More...
void | addContact (const Contact &c)
| add one contact into result structure More...
bool | operator== (const CollisionResult &other) const
| whether two CollisionResult are the same or not More...
bool | isCollision () const
| return binary collision result More...
size_t | numContacts () const
| number of contacts found More...
const Contact & | getContact (size_t i) const
| get the i-th contact calculated More...
void | getContacts (std::vector< Contact > &contacts_) const
| get all the contacts More...
const std::vector< Contact > & | getContacts () const
void | clear ()
| clear the results obtained More...
void | swapObjects ()
| reposition Contact objects when fcl inverts them during their construction. More...
Public Member Functions inherited from hpp::fcl::QueryResult
| QueryResult ()

## Public Attributes
FCL_REAL | distance_lower_bound
Public Attributes inherited from hpp::fcl::QueryResult
Vec3f | cached_gjk_guess
| stores the last GJK ray when relevant. More...
support_func_guess_t | cached_support_func_guess
| stores the last support function vertex index, when relevant. More...
CPUTimes | timings
| timings for the given request More...

## Detailed Description

collision result

## Constructor & Destructor Documentation

## ◆ CollisionResult()

hpp::fcl::CollisionResult::CollisionResult | ( |  | ) |
| inline

## Member Function Documentation

## ◆ addContact()

void hpp::fcl::CollisionResult::addContact | ( | const Contact & | c | ) |
| inline

add one contact into result structure

## ◆ clear()

void hpp::fcl::CollisionResult::clear | ( |  | ) |
| inline

clear the results obtained

## ◆ getContact()

const Contact& hpp::fcl::CollisionResult::getContact | ( | size_t | i | ) | const
| inline

get the i-th contact calculated

## ◆ getContacts() [1/2]

const std::vector<Contact>& hpp::fcl::CollisionResult::getContacts | ( |  | ) | const
| inline

## ◆ getContacts() [2/2]

void hpp::fcl::CollisionResult::getContacts | ( | std::vector< Contact > & | contacts_ | ) | const
| inline

get all the contacts

## ◆ isCollision()

bool hpp::fcl::CollisionResult::isCollision | ( |  | ) | const
| inline

return binary collision result

## ◆ numContacts()

size_t hpp::fcl::CollisionResult::numContacts | ( |  | ) | const
| inline

number of contacts found

## ◆ operator==()

bool hpp::fcl::CollisionResult::operator== | ( | const CollisionResult & | other | ) | const
| inline

whether two CollisionResult are the same or not

## ◆ swapObjects()

void hpp::fcl::CollisionResult::swapObjects | ( |  | ) |

reposition Contact objects when fcl inverts them during their construction.

## ◆ updateDistanceLowerBound()

void hpp::fcl::CollisionResult::updateDistanceLowerBound | ( | const FCL_REAL & | distance_lower_bound_ | ) |
| inline

Update the lower bound only if the distance in inferior.

## Member Data Documentation

## ◆ distance_lower_bound

FCL_REAL hpp::fcl::CollisionResult::distance_lower_bound

Lower bound on distance between objects if they are disjoint. See Collision detection and distance lower bound

Note
  computed only on request (or if it does not add any computational overhead).

The documentation for this struct was generated from the following file:

- include/hpp/fcl/collision_data.h